×
Kunena 5.1.8 Released - Security Release (30 Dec 2018)

The Kunena team has announce the arrival of Kunena 5.1.8 [K 5.1.8] which is now available for download as a native Joomla extension for J! 3.9.x. This version addresses most of the issues that were discovered in K 5.1 and issues discovered during the development stages of K 5.1. This is a Security release. Fixes 3 XSS security issues.

× This section is for questions directly related to the procedure for installing Kunena for the first time or upgrading from an older version of Kunena.

Use this category:
  • to ask how to install or upgrade; or
  • if you encountered problems during the installation or upgrade procedure.

Use a different category to ask questions about problems that you may be having after you successfully installed or upgraded the currently supported version. If you are unsure what is the current supported version of Kunena, please go to the download page.

Question 5.1.8 install fails midway on Joomla 3.9.1, PHP 7.2.13

More
2 weeks 1 day ago #1 by ResGlo
Hello

I'm having no success in installing the latest Kunena 5.1.8 on a relatively clean Joomla setup (config screenshot attached) - it has Akeeba and JomSocial installed.

A recent upgrade of Akeeba went smoothly but I cannot get the Kunena install to complete - there's a screenshot of successful modules installed attached- initially the top two are enabled.

No help from the php log (nor the IIS) - no warnings reported

I have tried all the possible routes to install and also tried instaling an older version (5.1.1) to then upgrade (as suggested by another thread) - still the same server 500 error

Any suggestions as to what to look for - its a bit opaque right now

Thank you in advance

RG
Attachments:

Please Log in or Create an account to join the conversation.

More
2 weeks 1 day ago #2 by 810
1) enable the 4 kunena items.
2) Clear cache. (backend - system - cache - clear cache)
3) Go to /administrator/index.php?option=com_kunena&view=install

Please Log in or Create an account to join the conversation.

More
2 weeks 1 day ago #3 by ResGlo
Thanks for the swift response - done and done (screenshots atatched)

Alas still no sign of the component

I rebooted the VM just in case that would help

php log does show an open_base dir issue from threre hours prior but not related to the install I did just now

[03-Jan-2019 13:25:52 UTC] PHP Warning: is_file(): open_basedir restriction in effect. File(C:\Inetpub\vhosts\deleted\httpdocs\tmp\C:\Inetpub\vhosts\deleted\httpdocs\tmp\) is not within the allowed path(s): (C:/Inetpub/vhosts/deleted\;C:\Windows\Temp\) in C:\Inetpub\vhosts\deleted\httpdocs\libraries\src\Installer\InstallerHelper.php on line 348

..that "\tmp\C:\Inetpub\vhosts\" part looks nasty

Anywhere else I can look for clues?

Please Log in or Create an account to join the conversation.

More
2 weeks 1 day ago - 2 weeks 1 day ago #4 by 810
looks like your own server isn't setup correctly:

stackoverflow.com/questions/1846882/open...in-the-allowed-paths

So open php.ini, search for "open_basedir"

Before Changes open_basedir =
After Changes ;open_basedir =

Then restart your server.
Last edit: 2 weeks 1 day ago by 810.

Please Log in or Create an account to join the conversation.

  • Not Allowed: to create new topic.
  • Not Allowed: to reply.
  • Not Allowed: to edit your message.
Time to create page: 0.121 seconds